<div class="card">

  <div class="card-header d-flex justify-content-between">

    <h5 class="card-title mb-0">{{'NOUVEAU_COMPTE.ACTIVITY'|translate}}</h5>

    <!-- <app-card-toolbar [collapseTarget]="'activities-body'"></app-card-toolbar> -->

  </div>

  <div id="activities-body" class="collapse show">

    <div class="card-body p-2">

      <!-- account pp -->
      <form *ngIf="accountType==='PP'" [formGroup]="accountPPFormGroup" autocomplete="off">

        <div class="row">

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PP.PROFESSION'|translate}}</label>
            <input type="text" class="form-control form-control-sm" formControlName="profession" pattern="[A-Za-zÀ-ÿ ]+">
            <div *ngIf="accountPPFormGroup.get('profession').invalid && showValidationsMsg">
              <div *ngIf="accountPPFormGroup.get('profession').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
              <div *ngIf="accountPPFormGroup.get('profession').errors.pattern" class="text-danger">
                <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
              </div>
            </div>
          </div>

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PP.SECT_ACTIVITE'|translate}}</label>
            <ngx-select
              [items]="sectActivitesList"
              [optionValueField]="'code'"
              [optionTextField]="'value'"
              formControlName="secActivite"
              [placeholder]="'FIELD.PLEASE.SELECT'|translate"
              size='small'
              [ngClass]="{'disabled': accountPPFormGroup.get('secActivite').disabled}">
            </ngx-select>
          </div>

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PP.CAPACITE_FINANC'|translate}}</label>
            <input type="number" class="form-control form-control-sm" formControlName="capaciteFinanciere">
            <div *ngIf="accountPPFormGroup.get('capaciteFinanciere').invalid && showValidationsMsg">
              <div *ngIf="accountPPFormGroup.get('capaciteFinanciere').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>
          </div>

        </div>

        <div class="row">

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PP.TYPE_PROD'|translate}}</label>
            <ngx-select
              [items]="typeProduits"
              [optionValueField]="'value'"
              [optionTextField]="'value'"
              formControlName="typeProduit"
              [placeholder]="'FIELD.PLEASE.SELECT'|translate"
              size='small'
              (selectionChanges)="typeProduitsLoad($event)"
              [ngClass]="{'disabled': accountPPFormGroup.get('typeProduit').disabled}">
            </ngx-select>

            <div *ngIf="accountPPFormGroup.get('typeProduit')?.invalid && showValidationsMsg">
              <div *ngIf="accountPPFormGroup.get('typeProduit').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>
          </div>

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PP.UNIVERS_INVT'|translate}}</label>
            <ngx-select
              [items]="universInvtList"
              [optionValueField]="'code'"
              [optionTextField]="'value'"
              formControlName="produitSouhaites"
              [placeholder]="'FIELD.PLEASE.SELECT'|translate"
              size='small'
              (selectionChanges)="universInvtLoad($event)"
              [multiple]="true"
              [ngClass]="{'disabled': accountPPFormGroup.get('produitSouhaites').disabled}">
            </ngx-select>
          </div>

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PP.INSTRU'|translate}}</label>
            <ngx-select
              [items]="instrumentsList"
              [optionValueField]="'code'"
              [optionTextField]="'value'"
              formControlName="secteurSouhaites"
              [placeholder]="'FIELD.PLEASE.SELECT'|translate"
              size='small'
              [ngClass]="{'disabled': accountPPFormGroup.get('secteurSouhaites').disabled}">
            </ngx-select>
          </div>

        </div>

        <div class="row">

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PP.ORIGINE_FONDS'|translate}}</label>
            <ngx-select
              [items]="originesFondsList"
              [optionValueField]="'code'"
              [optionTextField]="'value'"
              formControlName="origineFonds"
              [placeholder]="'FIELD.PLEASE.SELECT'|translate"
              size='small'
              [ngClass]="{'disabled': accountPPFormGroup.get('origineFonds').disabled}">
            </ngx-select>
          </div>

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PP.PROFIL_INVT'|translate}}</label>
            <ngx-select
              [items]="profilInvList"
              [optionValueField]="'code'"
              [optionTextField]="'value'"
              formControlName="profilInvestissement"
              [placeholder]="'FIELD.PLEASE.SELECT'|translate"
              size='small'
              [ngClass]="{'disabled': accountPPFormGroup.get('profilInvestissement').disabled}">
            </ngx-select>
          </div>

        </div>

        <div class="row">

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PP.HORIZ_PLACEMENT'|translate}}</label>
            <ngx-select
              [items]="horizonPlacementList"
              [optionValueField]="'code'"
              [optionTextField]="'value'"
              formControlName="horizonPlacement"
              [placeholder]="'FIELD.PLEASE.SELECT'|translate"
              size='small'
              [ngClass]="{'disabled': accountPPFormGroup.get('horizonPlacement').disabled}">
            </ngx-select>
          </div>

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PP.NIV_INVT'|translate}}</label>
            <ngx-select
              [items]="niveauInvList"
              [optionValueField]="'code'"
              [optionTextField]="'value'"
              formControlName="niveauInv"
              [placeholder]="'FIELD.PLEASE.SELECT'|translate"
              size='small'
              [ngClass]="{'disabled': accountPPFormGroup.get('niveauInv').disabled}">
            </ngx-select>
          </div>

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PP.OBJ_INVT'|translate}}</label>
            <ngx-select
              [items]="objectifInvList"
              [optionValueField]="'code'"
              [optionTextField]="'value'"
              formControlName="objectifInvestissement"
              [placeholder]="'FIELD.PLEASE.SELECT'|translate"
              size='small'
              [ngClass]="{'disabled': accountPPFormGroup.get('objectifInvestissement').disabled}">
            </ngx-select>
          </div>

        </div>

        <div class="row">

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PP.NATIONALITE_USA'|translate}}</label>
            <div class="form-check">
              <input class="mr-2" type="radio" value="OUI" formControlName="nationaliteUSA">
              <span class="mr-3">{{'FIELD.OUI'|translate}}</span>
              <input class="mr-2" type="radio" value="NON" formControlName="nationaliteUSA">
              <span>{{'FIELD.NON'|translate}}</span>
            </div>
          </div>

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PP.COMPTE_USA'|translate}}</label>
            <div class="form-check">
              <input class="mr-2" type="radio" value="OUI" formControlName="compteBancaireUSA">
              <span class="mr-3">{{'FIELD.OUI'|translate}}</span>
              <input class="mr-2" type="radio" value="NON" formControlName="compteBancaireUSA">
              <span>{{'FIELD.NON'|translate}}</span>
            </div>
          </div>

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PP.ADRESS_USA'|translate}}</label>
            <input type="text" class="form-control form-control-sm" formControlName="adresseUSA">
          </div>

        </div>

        <div class="row">

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PP.GREEN_CARD_USA'|translate}}</label>
            <div class="form-check">
              <input class="mr-2" type="radio" value="OUI" formControlName="greenCardUSA">
              <span class="mr-3">{{'FIELD.OUI'|translate}}</span>
              <input class="mr-2" type="radio" value="NON" formControlName="greenCardUSA">
              <span>{{'FIELD.NON'|translate}}</span>
            </div>
          </div>

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PP.ID_FISCAL_USA'|translate}}</label>
            <input type="text" class="form-control form-control-sm" formControlName="idFiscalUSA">
          </div>

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PP.TEL_USA'|translate}}</label>
            <div class="form-check">
              <input class="mr-2" type="radio" value="OUI" formControlName="ligneTelephoneUSA">
              <span class="mr-3">{{'FIELD.OUI'|translate}}</span>
              <input class="mr-2" type="radio" value="NON" formControlName="ligneTelephoneUSA">
              <span>{{'FIELD.NON'|translate}}</span>
            </div>
          </div>

        </div>

      </form>
      <!-- end account pp -->

      <!-- account pm -->
      <form *ngIf="accountType==='PM'" [formGroup]="accountPMFormGroup" autocomplete="off">

        <div class="row">

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PM.CATEGORY'|translate}}</label>
            <ngx-select
              [items]="categorieList"
              [optionValueField]="'code'"
              [optionTextField]="'value'"
              formControlName="categorie"
              [placeholder]="'FIELD.PLEASE.SELECT'|translate"
              size='small'
              [ngClass]="{'disabled': accountPMFormGroup.get('categorie').disabled}">
            </ngx-select>
          </div>

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PM.SECT_ACTIVITE'|translate}}</label>
            <ngx-select
              [items]="sectActivitesList"
              [optionValueField]="'code'"
              [optionTextField]="'value'"
              formControlName="secActivite"
              [placeholder]="'FIELD.PLEASE.SELECT'|translate"
              size='small'
              [ngClass]="{'disabled': accountPMFormGroup.get('secActivite').disabled}">
            </ngx-select>
          </div>

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PM.CAPACITE_FINANC'|translate}}</label>
            <input type="number" class="form-control form-control-sm" formControlName="capaciteFinanciere">
            <div *ngIf="accountPMFormGroup.get('capaciteFinanciere').invalid && showValidationsMsg">
              <div *ngIf="accountPMFormGroup.get('capaciteFinanciere').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>
          </div>

        </div>

        <div class="row">

          <div class="col-md-4">

            <label class="col-form-label">{{'FIELD.COMPTE_PM.TYPE_PROD'|translate}}</label>
            <ngx-select
              [items]="typeProduits"
              [optionValueField]="'value'"
              [optionTextField]="'value'"
              formControlName="typeProduit"
              [placeholder]="'FIELD.PLEASE.SELECT'|translate"
              size='small'
              (selectionChanges)="typeProduitsLoad($event)"
              [ngClass]="{'disabled': accountPMFormGroup.get('typeProduit').disabled}">
            </ngx-select>

            <div *ngIf="accountPMFormGroup.get('typeProduit').invalid && showValidationsMsg">
              <div *ngIf="accountPMFormGroup.get('typeProduit').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>
          </div>

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PM.UNIVERS_INVT'|translate}}</label>
            <ngx-select
              [items]="universInvtList"
              [optionValueField]="'code'"
              [optionTextField]="'value'"
              formControlName="produitSouhaites"
              [placeholder]="'FIELD.PLEASE.SELECT'|translate"
              size='small'
              (selectionChanges)="universInvtLoad($event)"
              [multiple]="true"
              [ngClass]="{'disabled': accountPMFormGroup.get('produitSouhaites').disabled}">
            </ngx-select>
          </div>

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PM.INSTRU'|translate}}</label>
            <ngx-select
              [items]="instrumentsList"
              [optionValueField]="'code'"
              [optionTextField]="'value'"
              formControlName="secteurSouhaites"
              [placeholder]="'FIELD.PLEASE.SELECT'|translate"
              size='small'
              [ngClass]="{'disabled': accountPMFormGroup.get('secteurSouhaites').disabled}">
            </ngx-select>
          </div>
        </div>

        <div class="row">

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PM.NIV_INVT'|translate}}</label>
            <ngx-select
              [items]="niveauInvList"
              [optionValueField]="'code'"
              [optionTextField]="'value'"
              formControlName="niveauInv"
              [placeholder]="'FIELD.PLEASE.SELECT'|translate"
              size='small'
              [ngClass]="{'disabled': accountPMFormGroup.get('niveauInv').disabled}">
            </ngx-select>
          </div>

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PM.PROFIL_INVT'|translate}}</label>
            <ngx-select
              [items]="profilInvList"
              [optionValueField]="'code'"
              [optionTextField]="'value'"
              formControlName="profilInvestissement"
              [placeholder]="'FIELD.PLEASE.SELECT'|translate"
              size='small'
              [ngClass]="{'disabled': accountPMFormGroup.get('profilInvestissement').disabled}">
            </ngx-select>
          </div>

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PM.OBJ_INVT'|translate}}</label>
            <ngx-select
              [items]="objectifInvList"
              [optionValueField]="'code'"
              [optionTextField]="'value'"
              formControlName="objectifInvestissement"
              [placeholder]="'FIELD.PLEASE.SELECT'|translate"
              size='small'
              [ngClass]="{'disabled': accountPMFormGroup.get('objectifInvestissement').disabled}">
            </ngx-select>
          </div>

        </div>

        <div class="row">

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PM.PAYS_RESIDENCE_FISCAL'|translate}}</label>
            <input type="text" class="form-control form-control-sm" formControlName="paysResidenceFiscale"
                   pattern="[A-Za-zÀ-ÿ ]+">

            <div *ngIf="accountPMFormGroup.get('paysResidenceFiscale').invalid && showValidationsMsg">
              <div *ngIf="accountPMFormGroup.get('paysResidenceFiscale').errors.pattern" class="text-danger">
                <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
              </div>
            </div>
          </div>

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PM.COMPTE_USA'|translate}}</label>
            <div class="form-check">
              <input class="mr-2" type="radio" value="OUI" formControlName="compteBancaireUSA">
              <span class="mr-3">{{'FIELD.OUI'|translate}}</span>
              <input class="mr-2" type="radio" value="NON" formControlName="compteBancaireUSA">
              <span>{{'FIELD.NON'|translate}}</span>
            </div>
          </div>

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PM.ADRESS_USA'|translate}}</label>
            <input type="text" class="form-control form-control-sm" formControlName="adresseUSA">
          </div>

        </div>

        <div class="row">

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PM.VILLE_USA'|translate}}</label>
            <input type="text" class="form-control form-control-sm" formControlName="villeFiscaleUSA"
                   pattern="[A-Za-zÀ-ÿ ]+">

            <div *ngIf="accountPMFormGroup.get('villeFiscaleUSA').invalid && showValidationsMsg">
              <div *ngIf="accountPMFormGroup.get('villeFiscaleUSA').errors.pattern" class="text-danger">
                <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
              </div>
            </div>
          </div>

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PM.ID_FISCAL_USA'|translate}}</label>
            <input type="text" class="form-control form-control-sm" formControlName="idFiscalUSA" pattern="[A-Za-zÀ-ÿ ]+">

            <div *ngIf="accountPMFormGroup.get('idFiscalUSA').invalid && showValidationsMsg">
              <div *ngIf="accountPMFormGroup.get('idFiscalUSA').errors.pattern" class="text-danger">
                <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
              </div>
            </div>
          </div>

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PM.TEL_USA'|translate}}</label>
            <div class="form-check">
              <input class="mr-2" type="radio" value="OUI" formControlName="ligneTelephoneUSA">
              <span class="mr-3">{{'FIELD.OUI'|translate}}</span>
              <input class="mr-2" type="radio" value="NON" formControlName="ligneTelephoneUSA">
              <span>{{'FIELD.NON'|translate}}</span>
            </div>
          </div>

        </div>

        <div class="row">

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PM.GIIN'|translate}}</label>
            <input type="text" class="form-control form-control-sm" formControlName="giin" pattern="[A-Za-zÀ-ÿ ]+">

            <div *ngIf="accountPMFormGroup.get('giin').invalid && showValidationsMsg">
              <div *ngIf="accountPMFormGroup.get('giin').errors.pattern" class="text-danger">
                <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
              </div>
            </div>
          </div>

          <div class="col-md-4">
            <label class="col-form-label">{{'FIELD.COMPTE_PM.HORIZ_PLACEMENT'|translate}}</label>
            <ngx-select
              [items]="horizonPlacementList"
              [optionValueField]="'code'"
              [optionTextField]="'value'"
              formControlName="horizonPlacement"
              [placeholder]="'FIELD.PLEASE.SELECT'|translate"
              size='small'
              [ngClass]="{'disabled': accountPMFormGroup.get('horizonPlacement').disabled}">
            </ngx-select>
          </div>

        </div>

      </form>
      <!-- end account pm -->

    </div>

  </div>
</div>
